Create a profile for an Identities applicant.
Pattern: ^ext_\w+$Your reference for the applicant.
The applicant's email address.
The applicant's full name.
curl https://identity-verification.checkout.com/applicants \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"external_applicant_id": "ext_osdfdfdb4hryu5cei5vwoabrk5k",
"email": "hannah.bret@example.com",
"external_applicant_name": "Hannah Bret"
}'
{
"id": "aplt_tkoi5db4hryu5cei5vwoabr7we",
"created_on": {},
"modified_on": {},
"external_applicant_id": "ext_osdfdfdb4hryu5cei5vwoabrk5k",
"email": "hannah.bret@example.com",
"external_applicant_name": "Hannah Bret",
"_links": {
"self": {
"href": "https://identity-verification.checkout.com/applicants/aplt_tkoi5db4hryu5cei5vwoabr7we"
}
}
}Get the details of an applicant profile.
Pattern: ^aplt_\w+$The applicant profile's unique identifier.
The applicant's unique identifier.
Not Found
curl https://identity-verification.checkout.com/applicants/aplt_tkoi5db4hryu5cei5vwoabr7we \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"id": "aplt_tkoi5db4hryu5cei5vwoabr7we",
"created_on": {},
"modified_on": {},
"external_applicant_id": "ext_osdfdfdb4hryu5cei5vwoabrk5k",
"email": "hannah.bret@example.com",
"external_applicant_name": "Hannah Bret",
"_links": {
"self": {
"href": "https://identity-verification.checkout.com/applicants/aplt_tkoi5db4hryu5cei5vwoabr7we"
}
}
}Update the details of an applicant profile.
Pattern: ^aplt_\w+$The applicant profile's unique identifier.
The applicant's unique identifier.
Pattern: ^ext_\w+$Your reference for the applicant.
The applicant's email address.
The applicant's full name.
Bad Request
Not Found
Internal Server Error
curl https://identity-verification.checkout.com/applicants/aplt_tkoi5db4hryu5cei5vwoabr7we \
--request PATCH \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"email": "hannah.bret@example.com",
"external_applicant_name": "Hannah Bret"
}'
{
"id": "aplt_tkoi5db4hryu5cei5vwoabr7we",
"created_on": {},
"modified_on": {},
"external_applicant_id": "ext_osdfdfdb4hryu5cei5vwoabrk5k",
"email": "hannah.bret@example.com",
"external_applicant_name": "Hannah Bret",
"_links": {
"self": {
"href": "https://identity-verification.checkout.com/applicants/aplt_tkoi5db4hryu5cei5vwoabr7we"
}
}
}Remove the personal data in an applicant profile.
Pattern: ^aplt_\w+$The applicant profile's unique identifier.
The applicant's unique identifier.
Bad Request
Not Found
Internal Server Error
curl https://identity-verification.checkout.com/applicants/aplt_tkoi5db4hryu5cei5vwoabr7we/anonymize \
--request POST \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"id": "aplt_tkoi5db4hryu5cei5vwoabr7we",
"created_on": {},
"modified_on": {},
"external_applicant_id": "ext_osdfdfdb4hryu5cei5vwoabrk5k",
"_links": {
"self": {
"href": "https://identity-verification.checkout.com/applicants/aplt_tkoi5db4hryu5cei5vwoabr7we"
}
}
}